Bug 19869 - Move template JavaScript to the footer: UNIMARC editor plugins, part 3
Summary: Move template JavaScript to the footer: UNIMARC editor plugins, part 3
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on: 19868
Blocks: 17858 19872
  Show dependency treegraph
 
Reported: 2017-12-21 18:41 UTC by Owen Leonard
Modified: 2018-04-23 22:50 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19869: Move template JavaScript to the footer: UNIMARC editor plugins, part 3 (11.87 KB, patch)
2017-12-21 19:15 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19869: Move template JavaScript to the footer: UNIMARC editor plugins, part 3 (11.95 KB, patch)
2018-03-16 08:48 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 19869: Move template JavaScript to the footer: UNIMARC editor plugins, part 3 (12.04 KB, patch)
2018-03-25 17:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-12-21 18:41:16 UTC
Most UNIMARC plugin templates already have JavaScript at the bottom of the template instead of the top, but they should still be modified to be consistent with other templates which have been updated as part of Bug 17858.

This patch modifies even more UNIMARC editor plugins.
Comment 1 Owen Leonard 2017-12-21 19:15:14 UTC
Created attachment 70080 [details] [review]
Bug 19869: Move template JavaScript to the footer: UNIMARC editor plugins, part 3

This patch updates even more UNIMARC plugin templates so that
JavaScript is included in the footer following the same pattern as other
templates which have been modified to fix Bug 17858.

To test you do not need a UNIMARC system.

Apply the patch and for each plugin, configure a MARC subfield (e.g.
100$a) to use that plugin.

From the MARC edit page, trigger the plugin and confirm that changes
made in the popup window are saved to the corresponding field in the
editor.

- unimarc_field_123a.tt
- unimarc_field_123d.tt
- unimarc_field_123e.tt
- unimarc_field_123f.tt
  - This template has been modified, but doesn't appear to be used. The
    unimarc_field_1234.pl script uses unimarc_field_123g.tt as its
    template.
- unimarc_field_123g.tt
- unimarc_field_123i_j.tt
Comment 2 abernaud 2018-03-16 08:47:00 UTC
Hi Owen

for 123$f, it works both with the unimarc_field_123f.pl and with the unimarc_field_123g.pl.

Please note that I did not have a single plugin for $i and $j as I supposed reading :
"- unimarc_field_123i_j.tt"
On my sandbox (http://pro.user10-koha.sandbox.biblibre.eu) there were 2 different plugins unimarc_field_123i.pl and unimarc_field_123j.pl.

Everything works well, so I sign it off :).
Anne-Claire
Comment 3 sandboxes@biblibre.com 2018-03-16 08:48:11 UTC
Patch tested with a sandbox, by Anne-Claire Bernaudin <anne-claire.bernaudin@univ-rennes1.fr>
Comment 4 sandboxes@biblibre.com 2018-03-16 08:48:33 UTC
Created attachment 72994 [details] [review]
Bug 19869: Move template JavaScript to the footer: UNIMARC editor plugins, part 3

This patch updates even more UNIMARC plugin templates so that
JavaScript is included in the footer following the same pattern as other
templates which have been modified to fix Bug 17858.

To test you do not need a UNIMARC system.

Apply the patch and for each plugin, configure a MARC subfield (e.g.
100$a) to use that plugin.

From the MARC edit page, trigger the plugin and confirm that changes
made in the popup window are saved to the corresponding field in the
editor.

- unimarc_field_123a.tt
- unimarc_field_123d.tt
- unimarc_field_123e.tt
- unimarc_field_123f.tt
  - This template has been modified, but doesn't appear to be used. The
    unimarc_field_1234.pl script uses unimarc_field_123g.tt as its
    template.
- unimarc_field_123g.tt
- unimarc_field_123i_j.tt

Signed-off-by: Anne-Claire Bernaudin <anne-claire.bernaudin@univ-rennes1.fr>
Comment 5 Katrin Fischer 2018-03-25 17:50:31 UTC
Created attachment 73250 [details] [review]
Bug 19869: Move template JavaScript to the footer: UNIMARC editor plugins, part 3

This patch updates even more UNIMARC plugin templates so that
JavaScript is included in the footer following the same pattern as other
templates which have been modified to fix Bug 17858.

To test you do not need a UNIMARC system.

Apply the patch and for each plugin, configure a MARC subfield (e.g.
100$a) to use that plugin.

From the MARC edit page, trigger the plugin and confirm that changes
made in the popup window are saved to the corresponding field in the
editor.

- unimarc_field_123a.tt
- unimarc_field_123d.tt
- unimarc_field_123e.tt
- unimarc_field_123f.tt
  - This template has been modified, but doesn't appear to be used. The
    unimarc_field_1234.pl script uses unimarc_field_123g.tt as its
    template.
- unimarc_field_123g.tt
- unimarc_field_123i_j.tt

Signed-off-by: Anne-Claire Bernaudin <anne-claire.bernaudin@univ-rennes1.fr>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2018-03-26 20:36:04 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-04-23 22:50:12 UTC
Awesome work all, enhancement, not backported for stable